Resultados 1 al 16 de 16

Tema: Openbts



  1. #1
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1

    Openbts

    Hola, estoy intentando instalar openbts en Ubuntu 12.04 y a la hora de construir el código en la guía me aparece este comando ". /build.sh B210", pero al introducirlo en la terminal me muestra que el archivo o directorio no existe. Cómo debería continuar?

  2. #2
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Pasanos el enlace del programa y le echamos un ojo


    Enviado desde mi MI 8 mediante Tapatalk

  3. #3
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Openbts Iniciado por tasadarf Openbts
    Pasanos el enlace del programa y le echamos un ojo


    Enviado desde mi MI 8 mediante Tapatalk
    Es un programa que se instala mediante comandos por la terminal, el link que puedo pasar es el de la guia de instalación http://openbts.org/w/index.php?title=BuildInstallRun

  4. #4
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    Es un programa que se instala mediante comandos por la terminal, el link que puedo pasar es el de la guia de instalación http://openbts.org/w/index.php?title=BuildInstallRun
    Yo tengo bastante experiencia instalando programas por comandos y casualmente tengo un Ubuntu 12.04 para pruebas asi que esta noche si tengo tiempo lo pruebo y te comento. SI no te he contestado escribeme mañana

  5. #5
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Openbts Iniciado por tasadarf Openbts
    Yo tengo bastante experiencia instalando programas por comandos y casualmente tengo un Ubuntu 12.04 para pruebas asi que esta noche si tengo tiempo lo pruebo y te comento. SI no te he contestado escribeme mañana
    Vale, gracias de antemano

  6. #6
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    Vale, gracias de antemano
    Ya he conseguido probarlo.

    Lo primero me ha costado algo más de lo q creia xq tenía instaladas para pruebas versiones más antiguas y otras más modernas de Ubuntu exactamente la que piden no. La he instalado en una máquina virtual y he tenido la mala suerte que no dejaba instalar paquetes xq el servidor de España estaba medio caído así que algunos los bajaba y otros no hasta q me he dado cuenta de lo q pasaba.

    Me ha funcionado el comando perfectamente así que o no estás colocado en el directorio correcto o algún paso anterior te ha dado algún error.

    Así que lo primero sería que pusieses el comando: ls
    y con lo que te salga haz una foto o captura así vemos si estás situado en el sitio correcto

    Enviado desde mi MI 8 mediante Tapatalk

  7. #7
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Hola, no se cómo subir imágenes pero el directorio en el que estoy es: "ubuntu@ubuntu:~/. ssh/dev/dev/liba53$" y cuando intento el comando: ". /build B210" me aparece: "bash: ./build.sh: No existe el archivo o directorio"

  8. #8
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    Hola, no se cómo subir imágenes pero el directorio en el que estoy es: "ubuntu@ubuntu:~/. ssh/dev/dev/liba53$" y cuando intento el comando: ". /build B210" me aparece: "bash: ./build.sh: No existe el archivo o directorio"
    Vale. Ya veo donde tienes el problema tienes que salirte del directorio liba53 con el comando: cd .. (importante el espacio que hay en el medio)(que no tengo ni idea si conoces de comandos)

  9. #9
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    No se mucho pero se que cd es para cambiar de directorio. Entonces debería quedar ssh/dev/dev? Aunque creo que ese no es el fallo, anoche probé con sudo ./build.sh B210 en vez de. /build.sh B210 y empezó a construirse el código, pero al final me falló porque faltaba libortp9 que todavía no se cómo instalarla, probé con sudo apt-get install libortp9 y no la instala.
    Última edición por Introduce; 09/12/2019 a las 18:53 Razón: Cambié cófigo por código

  10. #10
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Este transceptor serviría? AliExpress

  11. #11
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    No se mucho pero se que cd es para cambiar de directorio. Entonces debería quedar ssh/dev/dev? Aunque creo que ese no es el fallo, anoche probé con sudo ./build.sh B210 en vez de. /build.sh B210 y empezó a construirse el código, pero al final me falló porque faltaba libortp9 que todavía no se cómo instalarla, probé con sudo apt-get install libortp9 y no la instala.
    El comando "sudo" lo unico que hace es darte privilegios de administrador si el otro dia no te encontraba el archivo y ahora si es xq estas en el directorio correcto que es /dev/ , el otro dia cuando me mandaste el directorio estabas dentro de /liba53 que es un directorio para instalar esa libreria y dentro de ese directorio no esta el .build.sh

    Aqui te paso las capturas por si te vuelte a ocurrir
    Captura-de-pantalla-de-2019-12-09-23-15-16 — imgbb.com
    Captura-de-pantalla-de-2019-12-09-23-18-01 — imgbb.com


    Yo me encontre con el mismo error que te sale el libortp9 y estuve investigando. Lo que pasa que el programa lo hicieron para Ubuntu 12.04 pero luego lo actualizaron para Ubuntu 16.04 y lo recomendado es usar esta ultima version. Si no quieres usar esta ultima version tienes que editar el archivo build.sh y cambiar la palabra libortp9 por libortp8 que es el que lleva Ubuntu 12.04 , tambien tienes que cambiar libzmq3 por libzmq1. Con eso te avanzara mucho la compilacion.

    Pero todavia te falta de instalar una libreria que no viene en Ubuntu 12.04 que es la libuhd-dev para ello tienes que añadir un nuevo repositorio e instalar un nuevo paquete, solo tienes que seguir los mensajes del 14 de abril de 2016 del enlace que te pongo a continuacion
    ./build.sh cann`t find uhd * Issue #30 * RangeNetworks/dev * GitHub

    Consegui casi terminar de construir los paquetes pero se vuelve a quejar de que necesita el libzmq3 (Existente en el Ubuntu 16.04) y no el libzmq1 _(Existente en el Ubuntu 12.04).

    Resumiendo si no quieres estar editando y arreglando problemas xq ha dejado de ser compatible con Ubuntu 12.04, usa ubuntu 16.04 y sigue esta guia.
    Instalar OpenBTS en Ubuntu 16.04 GNURadio * luizener/Install-openbts Wiki * GitHub


    No tengo una idea clara de que va el proyecto se que es algo de una estacion de radiofrecuencia , yo de lo que entiendo es de Linux y comandos. Segun la guia que te pase aconsejan comprar la tarjeta ETTUS B210 no se si existira alguna copia china

  12. Los siguientes usuarios han agradecido a tasadarf su comentario:


  13. #12
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Muchas gracias, ya he conseguido construirlo.
    libzmq3 si es posible instalarlo en el 12.04 por si alguien mas lo quiere hacer.
    Se debe ejecutar el siguiente comando. /switchto.sh 5.0. Después se deberá ir hasta el directorio NodeManager y ejecutar el siguiente comando:
    $ cd NodeManager $ ./install_libzmq.sh
    Volviendo al directorio dev (ejecutando cd ..) se deberá cambiar una línea de la instalación. La línea cambiada es porque uno de los paquetes que se utilizan está obsoleto y se debe cambiar por otro. Ejecutar: $ sudo gedit build.sh
    Buscar en el documento “installIfMissing libzmq5” y sustituir esa línea por “installIfMissing libzmq3”. Guardar y cerrar el documento.A continuación ir a la carpeta libcoredumper y escribir:
    $ wget https://storage.googleapis.com/googl...r-1.2.1.tar.gz
    Volver al directorio dev. A partir de aquí se comenzará la instalación. Se deberá ejecutar el script build.sh seguido del hardware que se utilizará para levantar la red.

  14. Los siguientes usuarios han agradecido a Introduce su comentario:


  15. #13
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Sabes si sería posible y si sería muy complicado hacer funcionar un transceptor no compatible editando los archivos o de alguna manera?

  16. #14
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    Muchas gracias, ya he conseguido construirlo.
    libzmq3 si es posible instalarlo en el 12.04 por si alguien mas lo quiere hacer.
    Se debe ejecutar el siguiente comando. /switchto.sh 5.0. Después se deberá ir hasta el directorio NodeManager y ejecutar el siguiente comando:
    $ cd NodeManager $ ./install_libzmq.sh
    Volviendo al directorio dev (ejecutando cd ..) se deberá cambiar una línea de la instalación. La línea cambiada es porque uno de los paquetes que se utilizan está obsoleto y se debe cambiar por otro. Ejecutar: $ sudo gedit build.sh
    Buscar en el documento “installIfMissing libzmq5” y sustituir esa línea por “installIfMissing libzmq3”. Guardar y cerrar el documento.A continuación ir a la carpeta libcoredumper y escribir:
    $ wget https://storage.googleapis.com/googl...r-1.2.1.tar.gz
    Volver al directorio dev. A partir de aquí se comenzará la instalación. Se deberá ejecutar el script build.sh seguido del hardware que se utilizará para levantar la red.
    Gracias por el apunte del libzmq3 y muy buena observación no me había dado cuenta de que venía en el programa para instalarlo ya estaba pensando en instalarlo o bajarlo externamente pero como ya era tarde lo deje para el día siguiente.
    Openbts Iniciado por Introduce Openbts
    Sabes si sería posible y si sería muy complicado hacer funcionar un transceptor no compatible editando los archivos o de alguna manera?
    Normalmente si que es bastante complicado hacer un driver desde 0 probablemente se tarde meses y con experiencia del tema. A no ser que estos transceptores chinos usen el mismo chip que el original entonces si que sería fácil adaptarlo metiendo en la línea del driver el mismo modelo o si veces no eso con cargar el driver lo suele detectar. Con los USB wifi que había muchas marchas que usaban el mismo chip valía el mismo driver para todas.

    Mi consejo es que preguntes en la web del proyecto que hemos estado instalando, los q más saben del tema y si hay alguna alternativa barata son ellos y donde indagar para enco test la respuesta también.

    Yo por ejemplo es la primera vez en mi vida que oigo sobre transceptores pero como casi todo el hardware hay un chip principal para el q hay q hacer un driver



    Enviado desde mi MI 8 mediante Tapatalk

  17. #15
    Chapuzillas Junior
    Fecha de ingreso
    07 dic, 19
    Mensajes
    9
    Agradecido: 1
    Mi consejo es que preguntes en la web del proyecto que hemos estado instalando, los q más saben del tema y si hay alguna alternativa barata son ellos y donde indagar para enco test la respuesta también.

    Todo esto lo hubiera preguntado en la web del proyecto pero no la encuentro.
    Teniendo ya el drive como dices que puedo instalarlo? Y haria falta añadirlo a un repositorio o algo?

  18. #16
    Tengo afiliación Premium al Chapuzas
    Fecha de ingreso
    02 jun, 16
    Mensajes
    15,846
    Agradecido: 5807
    Openbts Iniciado por Introduce Openbts
    Mi consejo es que preguntes en la web del proyecto que hemos estado instalando, los q más saben del tema y si hay alguna alternativa barata son ellos y donde indagar para enco test la respuesta también.

    Todo esto lo hubiera preguntado en la web del proyecto pero no la encuentro.
    Teniendo ya el drive como dices que puedo instalarlo? Y haria falta añadirlo a un repositorio o algo?
    Si no usa ningun driver que este en el proyecto openbts, primero tendria que tener un driver para linux de codigo abierto y alguien que lo adaptara al proyecto lo que lo veo complicado. Asi que lo suyo es preguntar que modelos funcionan y usar uno de ellos.

    Aqui esta la lista de discusion aunque ultimamente esta poco activa
    OpenBTS / List openbts-discuss Archives

    Tambien te servira para leer todos los mails antiguos que seguro que comentan cosas que te puedan interesar

  19. Los siguientes usuarios han agradecido a tasadarf su comentario:


Etiquetas para este tema

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •  

Hacemos uso de cookies propias y de terceros para proporcionar una mejor experiencia de usuario. Al seguir navegando entendemos que acepta nuestra Más información .

Aceptar